%define debug_package %{nil}

Name:           utop
Version:        2.4.3
Release:        %mkrel 3
Summary:        An improved toplevel for OCaml
License:        BSD-3-clause
Group:          Development/OCaml
URL:            https://github.com/diml/utop
Source0:        https://github.com/diml/utop/releases/download/%{version}/%{name}-%{version}.tbz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-lambda-term-devel
BuildRequires:  ocaml-seq
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-lwt_log-devel
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-dune
BuildRequires:  opam

# for utop.el
BuildRequires:  emacs-common
Requires:       emacs

Provides:       ocaml-%{name}%{?_isa} =  %{version}-%{release}

%description
Utop is a universal toplevel for OCaml which can run in a terminal or
in emacs. It supports completion, colors, parenthesis matching, ...

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Provides:       ocaml-%{name}-devel%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup

%build
dune build -p %{name} %{?_smp_mflags}

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
dune install --destdir=%{buildroot}
rm -rf %{buildroot}%{_prefix}/doc

%files
%doc README.md CHANGES.md utoprc-dark utoprc-light
%license LICENSE
%dir %{_libdir}/ocaml/utop
%{_bindir}/utop
%{_bindir}/utop-full
%{_datadir}/%{name}/
%{_datadir}/emacs/site-lisp/utop.el
%{_libdir}/ocaml/utop/opam
%{_libdir}/ocaml/utop/*dune*
%{_libdir}/ocaml/utop/META
%{_libdir}/ocaml/utop/*.cmi
%{_libdir}/ocaml/utop/*.cma
%{_libdir}/ocaml/utop/*.ml
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%doc README.md CHANGES.md
%doc examples/
%{_libdir}/ocaml/utop/*.mli
%{_libdir}/ocaml/utop/*.cmt
%{_libdir}/ocaml/utop/*.cmti


%changelog
* Fri Feb 28 2020 umeabot <umeabot> 2.4.3-3.mga8
+ Revision: 1551935
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 2.4.3-2.mga8
+ Revision: 1545189
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 2.4.3-1.mga8
+ Revision: 1484144
- new release + reintroduce for ocaml-4.10

* Fri Feb 08 2019 daviddavid <daviddavid> 2.3.0-1.mga7
+ Revision: 1364154
- new version: 2.3.0

* Thu Oct 25 2018 daviddavid <daviddavid> 2.2.0-4.mga7
+ Revision: 1325507
- rebuild for new ocaml 4.07.1

* Fri Oct 12 2018 pterjan <pterjan> 2.2.0-3.mga7
+ Revision: 1319727
- Rebuild for new lwt

* Sun Sep 23 2018 umeabot <umeabot> 2.2.0-2.mga7
+ Revision: 1301555
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1251250
- new version: 2.2.0

* Fri Jul 06 2018 daviddavid <daviddavid> 2.1.0-4.mga7
+ Revision: 1242139
- rebuild against current ocaml stack

* Fri Apr 27 2018 daviddavid <daviddavid> 2.1.0-3.mga7
+ Revision: 1222801
- rebuild for new ocaml-findlib 1.8.0

* Tue Mar 27 2018 daviddavid <daviddavid> 2.1.0-2.mga7
+ Revision: 1212744
- rebuild for new ocaml-react 1.2.1

* Fri Mar 16 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1209886
- new version: 2.1.0
- switch to the jbuilder build system
+ tv <tv>
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 1.18.1-2.mga6
+ Revision: 1056523
- Rebuild for fix in ocaml

* Wed Feb 17 2016 daviddavid <daviddavid> 1.18.1-1.mga6
+ Revision: 963683
- new version: 1.18.1
- update files list for devel subpackage
- add missing BR on ocaml-cppo-devel
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 1.14-3.mga6
+ Revision: 894136
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.14-2.mga5
+ Revision: 742064
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 malo <malo> 1.14-1.mga5
+ Revision: 737476
- update to 1.14
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.5-2.mga4
+ Revision: 531719
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 blue_prawn <blue_prawn> 1.5-1.mga4
+ Revision: 464725
- updated to last version 1.5

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 385200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.2.1-1.mga3
+ Revision: 308602
- update file list
- update to 1.2.1
- update RPM group

* Tue Aug 07 2012 blue_prawn <blue_prawn> 1.2-1.mga3
+ Revision: 279772
- BuildRequires camlp4
- BuildRequires camlp4 and lambda-term
- imported package utop

